| The Gaudi Framework v32r1 (f65d50dc)

Public Types | Public Attributes | Private Attributes | List of all members
Gaudi Class Reference

This is a number of static methods for bootstrapping the Gaudi framework. More...

`#include <GaudiKernel/Bootstrap.h>`

## Public Types
enum | ExtractStatusEnum { EXTRACT_ERROR = 0, EXTRACT_SUCCESS = 1 }
enum | MergeStatusEnum { MERGE_ERROR = 0, MERGE_SUCCESS = 1 }
typedef std::vector< double > | Edges
using | Timer = Timers::GenericTimer< std::chrono::high_resolution_clock, std::chrono::microseconds >
| Default timer using a standard clock with microsecond precision. More...
using | FastTimer = Timers::GenericTimer< Timers::RdtscClock< std::chrono::microseconds >, std::chrono::microseconds >
| Fast RDTSC-based timer with microsecond precision. More...
typedef ROOT::Math::Cartesian3D< double > | Cartesian3D
| Cartesian 3D point (double) More...
typedef ROOT::Math::Cartesian3D< float > | Cartesian3DF
| Cartesian 3D point (float) More...
typedef ROOT::Math::Polar3D< double > | Polar3D
| Polar 3D point (double) More...
typedef ROOT::Math::Polar3D< float > | Polar3DF
| Polar 3D point (float) More...
typedef ROOT::Math::Cylindrical3D< double > | RhoPhiZ3D
| Cylindrical 3D point (double) More...
typedef ROOT::Math::Cylindrical3D< float > | RhoPhiZ3DF
| Cylindrical 3D point (float) More...
typedef ROOT::Math::CylindricalEta3D< double > | RhoEtaPhi3D
| Cylindrical Eta 3D point (double) More...
typedef ROOT::Math::CylindricalEta3D< float > | RhoEtaPhi3DF
| Cylindrical Eta 3D point (float) More...
typedef ROOT::Math::SMatrix< double, 1, 1 > | Matrix1x1
| Generic 1x1 matrix (double) More...
typedef ROOT::Math::SMatrix< double, 2, 2 > | Matrix2x2
| Generic 2x2 matrix (double) More...
typedef ROOT::Math::SMatrix< double, 3, 3 > | Matrix3x3
| Generic 3x3 matrix (double) More...
typedef ROOT::Math::SMatrix< double, 4, 4 > | Matrix4x4
| Generic 4x4 matrix (double) More...
typedef ROOT::Math::SMatrix< double, 5, 5 > | Matrix5x5
| Generic 5x5 matrix (double) More...
typedef ROOT::Math::SMatrix< double, 6, 6 > | Matrix6x6
| Generic 6x6 matrix (double) More...
typedef ROOT::Math::SMatrix< double, 7, 7 > | Matrix7x7
| Generic 7x7 matrix (double) More...
typedef ROOT::Math::SMatrix< double, 8, 8 > | Matrix8x8
| Generic 8x8 matrix (double) More...
typedef ROOT::Math::SMatrix< double, 9, 9 > | Matrix9x9
| Generic 9x9 matrix (double) More...
typedef ROOT::Math::SMatrix< double, 1, 3 > | Matrix1x3
| Generic 1x3 matrix (double) More...
typedef ROOT::Math::SMatrix< double, 1, 5 > | Matrix1x5
| Generic 1x5 matrix (double) More...
typedef ROOT::Math::SMatrix< double, 1, 6 > | Matrix1x6
| Generic 1x6 matrix (double) More...
typedef ROOT::Math::SMatrix< double, 4, 3 > | Matrix4x3
| Generic 4x3 matrix (double) More...
typedef ROOT::Math::SMatrix< double, 3, 4 > | Matrix3x4
| Generic 3x4 matrix (double) More...
typedef ROOT::Math::SMatrix< double, 3, 5 > | Matrix3x5
| Generic 3x5 matrix (double) More...
typedef ROOT::Math::SMatrix< double, 3, 6 > | Matrix3x6
| Generic 3x6 matrix (double) More...
typedef ROOT::Math::SMatrix< double, 2, 3 > | Matrix2x3
| Generic 2x3 matrix (double) More...
typedef ROOT::Math::SMatrix< double, 3, 2 > | Matrix3x2
| Generic 3x2 matrix (double) More...
typedef ROOT::Math::SMatrix< float, 1, 1 > | Matrix1x1F
| Generic 1x1 matrix (float) More...
typedef ROOT::Math::SMatrix< float, 2, 2 > | Matrix2x2F
| Generic 2x2 matrix (float) More...
typedef ROOT::Math::SMatrix< float, 3, 3 > | Matrix3x3F
| Generic 3x3 matrix (float) More...
typedef ROOT::Math::SMatrix< float, 4, 4 > | Matrix4x4F
| Generic 4x4 matrix (float) More...
typedef ROOT::Math::SMatrix< float, 5, 5 > | Matrix5x5F
| Generic 5x5 matrix (float) More...
typedef ROOT::Math::SMatrix< float, 6, 6 > | Matrix6x6F
| Generic 6x6 matrix (float) More...
typedef ROOT::Math::SMatrix< float, 7, 7 > | Matrix7x7F
| Generic 7x7 matrix (float) More...
typedef ROOT::Math::SMatrix< float, 8, 8 > | Matrix8x8F
| Generic 8x8 matrix (float) More...
typedef ROOT::Math::SMatrix< float, 9, 9 > | Matrix9x9F
| Generic 9x9 matrix (float) More...
typedef ROOT::Math::SMatrix< float, 1, 5 > | Matrix1x5F
| Generic 1x5 matrix (float) More...
typedef ROOT::Math::SMatrix< float, 4, 3 > | Matrix4x3F
| Generic 4x3 matrix (float) More...
typedef ROOT::Math::SMatrix< float, 3, 4 > | Matrix3x4F
| Generic 3x4 matrix (float) More...
typedef ROOT::Math::SMatrix< float, 2, 3 > | Matrix2x3F
| Generic 2x3 matrix (float) More...
typedef ROOT::Math::SMatrix< float, 3, 2 > | Matrix3x2F
| Generic 3x2 matrix (float) More...
typedef ROOT::Math::SVector< double, 1 > | Vector1
| 1D Vector (double) More...
typedef ROOT::Math::SVector< double, 2 > | Vector2
| 2D Vector (double) More...
typedef ROOT::Math::SVector< double, 3 > | Vector3
| 3D Vector (double) More...
typedef ROOT::Math::SVector< double, 4 > | Vector4
| 4D Vector (double) More...
typedef ROOT::Math::SVector< double, 5 > | Vector5
| 5D Vector (double) More...
typedef ROOT::Math::SVector< double, 6 > | Vector6
| 6D Vector (double) More...
typedef ROOT::Math::SVector< double, 7 > | Vector7
| 7D Vector (double) More...
typedef ROOT::Math::SVector< double, 8 > | Vector8
| 8D Vector (double) More...
typedef ROOT::Math::SVector< double, 9 > | Vector9
| 9D Vector (double) More...
typedef ROOT::Math::SVector< float, 1 > | Vector1F
| 1D Vector (float) More...
typedef ROOT::Math::SVector< float, 2 > | Vector2F
| 2D Vector (float) More...
typedef ROOT::Math::SVector< float, 3 > | Vector3F
| 3D Vector (float) More...
typedef ROOT::Math::SVector< float, 4 > | Vector4F
| 4D Vector (float) More...
typedef ROOT::Math::SVector< float, 5 > | Vector5F
| 5D Vector (float) More...
typedef ROOT::Math::SVector< float, 6 > | Vector6F
| 6D Vector (float) More...
typedef ROOT::Math::SVector< float, 7 > | Vector7F
| 7D Vector (float) More...
typedef ROOT::Math::SVector< float, 8 > | Vector8F
| 8D Vector (float) More...
typedef ROOT::Math::SVector< float, 9 > | Vector9F
| 9D Vector (float) More...
typedef ROOT::Math::Plane3D | Plane3D
| 3D plane (double) More...
typedef ROOT::Math::XYZPoint | XYZPoint
| 3D cartesian point (double) More...
typedef ROOT::Math::Polar3DPoint | Polar3DPoint
| 3D polar point (double) More...
typedef ROOT::Math::RhoEtaPhiPoint | RhoEtaPhiPoint
| 3D RhoEtaPhi point (double) More...
typedef ROOT::Math::RhoZPhiPoint | RhoZPhiPoint
| 3D RhoZPhi point (double) More...
typedef ROOT::Math::XYZPointF | XYZPointF
| 3D cartesian point (float) More...
typedef ROOT::Math::Polar3DPointF | Polar3DPointF
| 3D polar point (float) More...
typedef ROOT::Math::RhoEtaPhiPointF | RhoEtaPhiPointF
| 3D RhoEtaPhi point (float) More...
typedef ROOT::Math::RhoZPhiPointF | RhoZPhiPointF
| 3D RhoZPhi point (float) More...
typedef LorentzVector | XYZTPoint
| 4D point (space-time) More...
template<class TYPE , class HANDLERS = Details::Property::UpdateHandler>
using | CheckedProperty = Property< TYPE, Details::Property::BoundedVerifier< TYPE >, HANDLERS >
template<class TYPE >
using | PropertyWithReadHandler = Property< TYPE, Details::Property::NullVerifier, Gaudi::Details::Property::ReadUpdateHandler >
typedef ROOT::Math::SMatrix< double, 1, 1, ROOT::Math::MatRepSym< double, 1 > > | SymMatrix1x1
| Symmetrix 1x1 matrix (double) More...
typedef ROOT::Math::SMatrix< double, 2, 2, ROOT::Math::MatRepSym< double, 2 > > | SymMatrix2x2
| Symmetrix 2x2 matrix (double) More...
typedef ROOT::Math::SMatrix< double, 3, 3, ROOT::Math::MatRepSym< double, 3 > > | SymMatrix3x3
| Symmetrix 3x3 matrix (double) More...
typedef ROOT::Math::SMatrix< double, 4, 4, ROOT::Math::MatRepSym< double, 4 > > | SymMatrix4x4
| Symmetrix 4x4 matrix (double) More...
typedef ROOT::Math::SMatrix< double, 5, 5, ROOT::Math::MatRepSym< double, 5 > > | SymMatrix5x5
| Symmetrix 5x5 matrix (double) More...
typedef ROOT::Math::SMatrix< double, 6, 6, ROOT::Math::MatRepSym< double, 6 > > | SymMatrix6x6
| Symmetrix 6x6 matrix (double) More...
typedef ROOT::Math::SMatrix< double, 7, 7, ROOT::Math::MatRepSym< double, 7 > > | SymMatrix7x7
| Symmetrix 7x7 matrix (double) More...
typedef ROOT::Math::SMatrix< double, 8, 8, ROOT::Math::MatRepSym< double, 8 > > | SymMatrix8x8
| Symmetrix 8x8 matrix (double) More...
typedef ROOT::Math::SMatrix< double, 9, 9, ROOT::Math::MatRepSym< double, 9 > > | SymMatrix9x9
| Symmetrix 9x9 matrix (double) More...
typedef ROOT::Math::SMatrix< float, 1, 1, ROOT::Math::MatRepSym< float, 1 > > | SymMatrix1x1F
| Symmetrix 1x1 matrix (float) More...
typedef ROOT::Math::SMatrix< float, 2, 2, ROOT::Math::MatRepSym< float, 2 > > | SymMatrix2x2F
| Symmetrix 2x2 matrix (float) More...
typedef ROOT::Math::SMatrix< float, 3, 3, ROOT::Math::MatRepSym< float, 3 > > | SymMatrix3x3F
| Symmetrix 3x3 matrix (float) More...
typedef ROOT::Math::SMatrix< float, 4, 4, ROOT::Math::MatRepSym< float, 4 > > | SymMatrix4x4F
| Symmetrix 4x4 matrix (float) More...
typedef ROOT::Math::SMatrix< float, 5, 5, ROOT::Math::MatRepSym< float, 5 > > | SymMatrix5x5F
| Symmetrix 5x5 matrix (float) More...
typedef ROOT::Math::SMatrix< float, 6, 6, ROOT::Math::MatRepSym< float, 6 > > | SymMatrix6x6F
| Symmetrix 6x6 matrix (float) More...
typedef ROOT::Math::SMatrix< float, 7, 7, ROOT::Math::MatRepSym< float, 7 > > | SymMatrix7x7F
| Symmetrix 7x7 matrix (float) More...
typedef ROOT::Math::SMatrix< float, 8, 8, ROOT::Math::MatRepSym< float, 8 > > | SymMatrix8x8F
| Symmetrix 8x8 matrix (float) More...
typedef ROOT::Math::SMatrix< float, 9, 9, ROOT::Math::MatRepSym< float, 9 > > | SymMatrix9x9F
| Symmetrix 9x9 matrix (float) More...
typedef ROOT::Math::Rotation3D | Rotation3D
| 3D rotation More...
typedef ROOT::Math::EulerAngles | EulerAngles
| 3D Euler Angles More...
typedef ROOT::Math::Quaternion | Quaternion
| 3D Quaternion More...
typedef ROOT::Math::AxisAngle | AxisAngle
| 3D Axis Angle More...
typedef ROOT::Math::RotationX | RotationX
| Rotation about X axis. More...
typedef ROOT::Math::RotationY | RotationY
| Rotation about Y axis. More...
typedef ROOT::Math::RotationZ | RotationZ
| Rotation about Z axis. More...
typedef ROOT::Math::Transform3D | Transform3D
| General 3D transformation (rotation+translation) More...
typedef ROOT::Math::XYZVector | TranslationXYZ
| 3D translation More...
typedef ROOT::Math::LorentzRotation | LorentzRotation
| Lorentz rotation. More...
typedef ROOT::Math::XYZVector | XYZVector
| Cartesian 3D vector (double) More...
typedef ROOT::Math::Polar3DVector | Polar3DVector
| Polar 3D vector (double) More...
typedef ROOT::Math::RhoEtaPhiVector | RhoEtaPhiVector
| RhoEtaPhi 3D vector (double) More...
typedef ROOT::Math::RhoZPhiVector | RhoZPhiVector
| RhoZPhi 3D vector (double) More...
typedef ROOT::Math::XYZVectorF | XYZVectorF
| Cartesian 3D vector (float) More...
typedef ROOT::Math::Polar3DVectorF | Polar3DVectorF
| Polar 3D vector (float) More...
typedef ROOT::Math::RhoEtaPhiVectorF | RhoEtaPhiVectorF
| RhoEtaPhi 3D vector (float) More...
typedef ROOT::Math::RhoZPhiVectorF | RhoZPhiVectorF
| RhoZPhi 3D vector (float) More...
typedef ROOT::Math::PxPyPzEVector | XYZTVector
| Cartesian 4 Vector. More...
typedef ROOT::Math::PxPyPzEVector | LorentzVector
| Cartesian 4 Vector. More...
typedef ROOT::Math::XYZTVectorF | XYZTVectorF
| Cartesian 4 Vector (float) More...
typedef ROOT::Math::XYZTVectorF | LorentzVectorF
| Cartesian 4 Vector (float) More...
typedef ROOT::Math::PtEtaPhiEVector | PtEtaPhiEVector
| Polar 4 Vector. More...
typedef int | ExtractStatus
typedef int | MergeStatus

## Public Attributes
| Configurables = _ConfigurablesModule()
constexpr struct Gaudi::fullMatch_t | fullMatch
constexpr struct Gaudi::majorMatch_t | majorMatch

## Private Attributes
string | __configurables_module_fullname__ = __name__ + '.Configurables'
bool | __ignore_missing_configurables__ = False
| _GaudiKernelLib = None

## Detailed Description

This is a number of static methods for bootstrapping the Gaudi framework.

Author
  Pere Mato

Definition at line 13 of file Bootstrap.h.

## Member Typedef Documentation

## ◆ AxisAngle

typedef ROOT::Math::AxisAngle Gaudi::AxisAngle

3D Axis Angle

Definition at line 49 of file Transform3DTypes.h.

## ◆ Cartesian3D

typedef ROOT::Math::Cartesian3D<double> Gaudi::Cartesian3D

Cartesian 3D point (double)

Definition at line 30 of file Coord3DTypes.h.

## ◆ Cartesian3DF

typedef ROOT::Math::Cartesian3D<float> Gaudi::Cartesian3DF

Cartesian 3D point (float)

Definition at line 31 of file Coord3DTypes.h.

## ◆ CheckedProperty

template<class TYPE , class HANDLERS = Details::Property::UpdateHandler>

using Gaudi::CheckedProperty = Property<TYPE, Details::Property::BoundedVerifier<TYPE>, HANDLERS>

Definition at line 713 of file Property.h.

## ◆ Edges

typedef std::vector<double> Gaudi::Edges

Definition at line 17 of file GaudiPI.h.

## ◆ EulerAngles

typedef ROOT::Math::EulerAngles Gaudi::EulerAngles

3D Euler Angles

Definition at line 47 of file Transform3DTypes.h.

## ◆ ExtractStatus

typedef int Gaudi::ExtractStatus

Definition at line 113 of file extractEvt.C.

## ◆ FastTimer

using Gaudi::FastTimer = Timers::GenericTimer<Timers::RdtscClock<std::chrono::microseconds>, std::chrono::microseconds>

Fast RDTSC-based timer with microsecond precision.

See also
  Gaudi::Timers::GenericTimer
  Gaudi::Timers::RdtscClock

Definition at line 22 of file Timers.h.

## ◆ LorentzRotation

typedef ROOT::Math::LorentzRotation Gaudi::LorentzRotation

Lorentz rotation.

Definition at line 27 of file Transform4DTypes.h.

## ◆ LorentzVector

typedef ROOT::Math::PxPyPzEVector Gaudi::LorentzVector

Cartesian 4 Vector.

Definition at line 30 of file Vector4DTypes.h.

## ◆ LorentzVectorF

typedef ROOT::Math::XYZTVectorF Gaudi::LorentzVectorF

Cartesian 4 Vector (float)

Definition at line 32 of file Vector4DTypes.h.

## ◆ Matrix1x1

typedef ROOT::Math::SMatrix<double, 1, 1> Gaudi::Matrix1x1

Generic 1x1 matrix (double)

Definition at line 29 of file GenericMatrixTypes.h.

## ◆ Matrix1x1F

typedef ROOT::Math::SMatrix<float, 1, 1> Gaudi::Matrix1x1F

Generic 1x1 matrix (float)

Definition at line 49 of file GenericMatrixTypes.h.

## ◆ Matrix1x3

typedef ROOT::Math::SMatrix<double, 1, 3> Gaudi::Matrix1x3

Generic 1x3 matrix (double)

Definition at line 39 of file GenericMatrixTypes.h.

## ◆ Matrix1x5

typedef ROOT::Math::SMatrix<double, 1, 5> Gaudi::Matrix1x5

Generic 1x5 matrix (double)

Definition at line 40 of file GenericMatrixTypes.h.

## ◆ Matrix1x5F

typedef ROOT::Math::SMatrix<float, 1, 5> Gaudi::Matrix1x5F

Generic 1x5 matrix (float)

Definition at line 59 of file GenericMatrixTypes.h.

## ◆ Matrix1x6

typedef ROOT::Math::SMatrix<double, 1, 6> Gaudi::Matrix1x6

Generic 1x6 matrix (double)

Definition at line 41 of file GenericMatrixTypes.h.

## ◆ Matrix2x2

typedef ROOT::Math::SMatrix<double, 2, 2> Gaudi::Matrix2x2

Generic 2x2 matrix (double)

Definition at line 30 of file GenericMatrixTypes.h.

## ◆ Matrix2x2F

typedef ROOT::Math::SMatrix<float, 2, 2> Gaudi::Matrix2x2F

Generic 2x2 matrix (float)

Definition at line 50 of file GenericMatrixTypes.h.

## ◆ Matrix2x3

typedef ROOT::Math::SMatrix<double, 2, 3> Gaudi::Matrix2x3

Generic 2x3 matrix (double)

Definition at line 46 of file GenericMatrixTypes.h.

## ◆ Matrix2x3F

typedef ROOT::Math::SMatrix<float, 2, 3> Gaudi::Matrix2x3F

Generic 2x3 matrix (float)

Definition at line 62 of file GenericMatrixTypes.h.

## ◆ Matrix3x2

typedef ROOT::Math::SMatrix<double, 3, 2> Gaudi::Matrix3x2

Generic 3x2 matrix (double)

Definition at line 47 of file GenericMatrixTypes.h.

## ◆ Matrix3x2F

typedef ROOT::Math::SMatrix<float, 3, 2> Gaudi::Matrix3x2F

Generic 3x2 matrix (float)

Definition at line 63 of file GenericMatrixTypes.h.

## ◆ Matrix3x3

typedef ROOT::Math::SMatrix<double, 3, 3> Gaudi::Matrix3x3

Generic 3x3 matrix (double)

Definition at line 31 of file GenericMatrixTypes.h.

## ◆ Matrix3x3F

typedef ROOT::Math::SMatrix<float, 3, 3> Gaudi::Matrix3x3F

Generic 3x3 matrix (float)

Definition at line 51 of file GenericMatrixTypes.h.

## ◆ Matrix3x4

typedef ROOT::Math::SMatrix<double, 3, 4> Gaudi::Matrix3x4

Generic 3x4 matrix (double)

Definition at line 43 of file GenericMatrixTypes.h.

## ◆ Matrix3x4F

typedef ROOT::Math::SMatrix<float, 3, 4> Gaudi::Matrix3x4F

Generic 3x4 matrix (float)

Definition at line 61 of file GenericMatrixTypes.h.

## ◆ Matrix3x5

typedef ROOT::Math::SMatrix<double, 3, 5> Gaudi::Matrix3x5

Generic 3x5 matrix (double)

Definition at line 44 of file GenericMatrixTypes.h.

## ◆ Matrix3x6

typedef ROOT::Math::SMatrix<double, 3, 6> Gaudi::Matrix3x6

Generic 3x6 matrix (double)

Definition at line 45 of file GenericMatrixTypes.h.

## ◆ Matrix4x3

typedef ROOT::Math::SMatrix<double, 4, 3> Gaudi::Matrix4x3

Generic 4x3 matrix (double)

Definition at line 42 of file GenericMatrixTypes.h.

## ◆ Matrix4x3F

typedef ROOT::Math::SMatrix<float, 4, 3> Gaudi::Matrix4x3F

Generic 4x3 matrix (float)

Definition at line 60 of file GenericMatrixTypes.h.

## ◆ Matrix4x4

typedef ROOT::Math::SMatrix<double, 4, 4> Gaudi::Matrix4x4

Generic 4x4 matrix (double)

Definition at line 32 of file GenericMatrixTypes.h.

## ◆ Matrix4x4F

typedef ROOT::Math::SMatrix<float, 4, 4> Gaudi::Matrix4x4F

Generic 4x4 matrix (float)

Definition at line 52 of file GenericMatrixTypes.h.

## ◆ Matrix5x5

typedef ROOT::Math::SMatrix<double, 5, 5> Gaudi::Matrix5x5

Generic 5x5 matrix (double)

Definition at line 33 of file GenericMatrixTypes.h.

## ◆ Matrix5x5F

typedef ROOT::Math::SMatrix<float, 5, 5> Gaudi::Matrix5x5F

Generic 5x5 matrix (float)

Definition at line 53 of file GenericMatrixTypes.h.

## ◆ Matrix6x6

typedef ROOT::Math::SMatrix<double, 6, 6> Gaudi::Matrix6x6

Generic 6x6 matrix (double)

Definition at line 34 of file GenericMatrixTypes.h.

## ◆ Matrix6x6F

typedef ROOT::Math::SMatrix<float, 6, 6> Gaudi::Matrix6x6F

Generic 6x6 matrix (float)

Definition at line 54 of file GenericMatrixTypes.h.

## ◆ Matrix7x7

typedef ROOT::Math::SMatrix<double, 7, 7> Gaudi::Matrix7x7

Generic 7x7 matrix (double)

Definition at line 35 of file GenericMatrixTypes.h.

## ◆ Matrix7x7F

typedef ROOT::Math::SMatrix<float, 7, 7> Gaudi::Matrix7x7F

Generic 7x7 matrix (float)

Definition at line 55 of file GenericMatrixTypes.h.

## ◆ Matrix8x8

typedef ROOT::Math::SMatrix<double, 8, 8> Gaudi::Matrix8x8

Generic 8x8 matrix (double)

Definition at line 36 of file GenericMatrixTypes.h.

## ◆ Matrix8x8F

typedef ROOT::Math::SMatrix<float, 8, 8> Gaudi::Matrix8x8F

Generic 8x8 matrix (float)

Definition at line 56 of file GenericMatrixTypes.h.

## ◆ Matrix9x9

typedef ROOT::Math::SMatrix<double, 9, 9> Gaudi::Matrix9x9

Generic 9x9 matrix (double)

Definition at line 37 of file GenericMatrixTypes.h.

## ◆ Matrix9x9F

typedef ROOT::Math::SMatrix<float, 9, 9> Gaudi::Matrix9x9F

Generic 9x9 matrix (float)

Definition at line 57 of file GenericMatrixTypes.h.

## ◆ MergeStatus

typedef int Gaudi::MergeStatus

Definition at line 20 of file merge.C.

## ◆ Plane3D

typedef ROOT::Math::Plane3D Gaudi::Plane3D

3D plane (double)

Definition at line 38 of file Plane3DTypes.h.

## ◆ Polar3D

typedef ROOT::Math::Polar3D<double> Gaudi::Polar3D

Polar 3D point (double)

Definition at line 32 of file Coord3DTypes.h.

## ◆ Polar3DF

typedef ROOT::Math::Polar3D<float> Gaudi::Polar3DF

Polar 3D point (float)

Definition at line 33 of file Coord3DTypes.h.

## ◆ Polar3DPoint

typedef ROOT::Math::Polar3DPoint Gaudi::Polar3DPoint

3D polar point (double)

Definition at line 30 of file Point3DTypes.h.

## ◆ Polar3DPointF

typedef ROOT::Math::Polar3DPointF Gaudi::Polar3DPointF

3D polar point (float)

Definition at line 35 of file Point3DTypes.h.

## ◆ Polar3DVector

typedef ROOT::Math::Polar3DVector Gaudi::Polar3DVector

Polar 3D vector (double)

Definition at line 30 of file Vector3DTypes.h.

## ◆ Polar3DVectorF

typedef ROOT::Math::Polar3DVectorF Gaudi::Polar3DVectorF

Polar 3D vector (float)

Definition at line 34 of file Vector3DTypes.h.

## ◆ PropertyWithReadHandler

template<class TYPE >

using Gaudi::PropertyWithReadHandler = Property<TYPE, Details::Property::NullVerifier, Gaudi::Details::Property::ReadUpdateHandler>

Definition at line 717 of file Property.h.

## ◆ PtEtaPhiEVector

typedef ROOT::Math::PtEtaPhiEVector Gaudi::PtEtaPhiEVector

Polar 4 Vector.

Definition at line 33 of file Vector4DTypes.h.

## ◆ Quaternion

typedef ROOT::Math::Quaternion Gaudi::Quaternion

3D Quaternion

Definition at line 48 of file Transform3DTypes.h.

## ◆ RhoEtaPhi3D

typedef ROOT::Math::CylindricalEta3D<double> Gaudi::RhoEtaPhi3D

Cylindrical Eta 3D point (double)

Definition at line 36 of file Coord3DTypes.h.

## ◆ RhoEtaPhi3DF

typedef ROOT::Math::CylindricalEta3D<float> Gaudi::RhoEtaPhi3DF

Cylindrical Eta 3D point (float)

Definition at line 37 of file Coord3DTypes.h.

## ◆ RhoEtaPhiPoint

typedef ROOT::Math::RhoEtaPhiPoint Gaudi::RhoEtaPhiPoint

3D RhoEtaPhi point (double)

Definition at line 31 of file Point3DTypes.h.

## ◆ RhoEtaPhiPointF

typedef ROOT::Math::RhoEtaPhiPointF Gaudi::RhoEtaPhiPointF

3D RhoEtaPhi point (float)

Definition at line 36 of file Point3DTypes.h.

## ◆ RhoEtaPhiVector

typedef ROOT::Math::RhoEtaPhiVector Gaudi::RhoEtaPhiVector

RhoEtaPhi 3D vector (double)

Definition at line 31 of file Vector3DTypes.h.

## ◆ RhoEtaPhiVectorF

typedef ROOT::Math::RhoEtaPhiVectorF Gaudi::RhoEtaPhiVectorF

RhoEtaPhi 3D vector (float)

Definition at line 35 of file Vector3DTypes.h.

## ◆ RhoPhiZ3D

typedef ROOT::Math::Cylindrical3D<double> Gaudi::RhoPhiZ3D

Cylindrical 3D point (double)

Definition at line 34 of file Coord3DTypes.h.

## ◆ RhoPhiZ3DF

typedef ROOT::Math::Cylindrical3D<float> Gaudi::RhoPhiZ3DF

Cylindrical 3D point (float)

Definition at line 35 of file Coord3DTypes.h.

## ◆ RhoZPhiPoint

typedef ROOT::Math::RhoZPhiPoint Gaudi::RhoZPhiPoint

3D RhoZPhi point (double)

Definition at line 32 of file Point3DTypes.h.

## ◆ RhoZPhiPointF

typedef ROOT::Math::RhoZPhiPointF Gaudi::RhoZPhiPointF

3D RhoZPhi point (float)

Definition at line 37 of file Point3DTypes.h.

## ◆ RhoZPhiVector

typedef ROOT::Math::RhoZPhiVector Gaudi::RhoZPhiVector

RhoZPhi 3D vector (double)

Definition at line 32 of file Vector3DTypes.h.

## ◆ RhoZPhiVectorF

typedef ROOT::Math::RhoZPhiVectorF Gaudi::RhoZPhiVectorF

RhoZPhi 3D vector (float)

Definition at line 36 of file Vector3DTypes.h.

## ◆ Rotation3D

typedef ROOT::Math::Rotation3D Gaudi::Rotation3D

3D rotation

Definition at line 46 of file Transform3DTypes.h.

## ◆ RotationX

typedef ROOT::Math::RotationX Gaudi::RotationX

Rotation about X axis.

Definition at line 50 of file Transform3DTypes.h.

## ◆ RotationY

typedef ROOT::Math::RotationY Gaudi::RotationY

Rotation about Y axis.

Definition at line 51 of file Transform3DTypes.h.

## ◆ RotationZ

typedef ROOT::Math::RotationZ Gaudi::RotationZ

Rotation about Z axis.

Definition at line 52 of file Transform3DTypes.h.

## ◆ SymMatrix1x1

typedef ROOT::Math::SMatrix<double, 1, 1, ROOT::Math::MatRepSym<double, 1> > Gaudi::SymMatrix1x1

Symmetrix 1x1 matrix (double)

Definition at line 27 of file SymmetricMatrixTypes.h.

## ◆ SymMatrix1x1F

typedef ROOT::Math::SMatrix<float, 1, 1, ROOT::Math::MatRepSym<float, 1> > Gaudi::SymMatrix1x1F

Symmetrix 1x1 matrix (float)

Definition at line 46 of file SymmetricMatrixTypes.h.

## ◆ SymMatrix2x2

typedef ROOT::Math::SMatrix<double, 2, 2, ROOT::Math::MatRepSym<double, 2> > Gaudi::SymMatrix2x2

Symmetrix 2x2 matrix (double)

Definition at line 29 of file SymmetricMatrixTypes.h.

## ◆ SymMatrix2x2F

typedef ROOT::Math::SMatrix<float, 2, 2, ROOT::Math::MatRepSym<float, 2> > Gaudi::SymMatrix2x2F

Symmetrix 2x2 matrix (float)

Definition at line 48 of file SymmetricMatrixTypes.h.

## ◆ SymMatrix3x3

typedef ROOT::Math::SMatrix<double, 3, 3, ROOT::Math::MatRepSym<double, 3> > Gaudi::SymMatrix3x3

Symmetrix 3x3 matrix (double)

Definition at line 31 of file SymmetricMatrixTypes.h.

## ◆ SymMatrix3x3F

typedef ROOT::Math::SMatrix<float, 3, 3, ROOT::Math::MatRepSym<float, 3> > Gaudi::SymMatrix3x3F

Symmetrix 3x3 matrix (float)

Definition at line 50 of file SymmetricMatrixTypes.h.

## ◆ SymMatrix4x4

typedef ROOT::Math::SMatrix<double, 4, 4, ROOT::Math::MatRepSym<double, 4> > Gaudi::SymMatrix4x4

Symmetrix 4x4 matrix (double)

Definition at line 33 of file SymmetricMatrixTypes.h.

## ◆ SymMatrix4x4F

typedef ROOT::Math::SMatrix<float, 4, 4, ROOT::Math::MatRepSym<float, 4> > Gaudi::SymMatrix4x4F

Symmetrix 4x4 matrix (float)

Definition at line 52 of file SymmetricMatrixTypes.h.

## ◆ SymMatrix5x5

typedef ROOT::Math::SMatrix<double, 5, 5, ROOT::Math::MatRepSym<double, 5> > Gaudi::SymMatrix5x5

Symmetrix 5x5 matrix (double)

Definition at line 35 of file SymmetricMatrixTypes.h.

## ◆ SymMatrix5x5F

typedef ROOT::Math::SMatrix<float, 5, 5, ROOT::Math::MatRepSym<float, 5> > Gaudi::SymMatrix5x5F

Symmetrix 5x5 matrix (float)

Definition at line 54 of file SymmetricMatrixTypes.h.

## ◆ SymMatrix6x6

typedef ROOT::Math::SMatrix<double, 6, 6, ROOT::Math::MatRepSym<double, 6> > Gaudi::SymMatrix6x6

Symmetrix 6x6 matrix (double)

Definition at line 37 of file SymmetricMatrixTypes.h.

## ◆ SymMatrix6x6F

typedef ROOT::Math::SMatrix<float, 6, 6, ROOT::Math::MatRepSym<float, 6> > Gaudi::SymMatrix6x6F

Symmetrix 6x6 matrix (float)

Definition at line 56 of file SymmetricMatrixTypes.h.

## ◆ SymMatrix7x7

typedef ROOT::Math::SMatrix<double, 7, 7, ROOT::Math::MatRepSym<double, 7> > Gaudi::SymMatrix7x7

Symmetrix 7x7 matrix (double)

Definition at line 39 of file SymmetricMatrixTypes.h.

## ◆ SymMatrix7x7F

typedef ROOT::Math::SMatrix<float, 7, 7, ROOT::Math::MatRepSym<float, 7> > Gaudi::SymMatrix7x7F

Symmetrix 7x7 matrix (float)

Definition at line 58 of file SymmetricMatrixTypes.h.

## ◆ SymMatrix8x8

typedef ROOT::Math::SMatrix<double, 8, 8, ROOT::Math::MatRepSym<double, 8> > Gaudi::SymMatrix8x8

Symmetrix 8x8 matrix (double)

Definition at line 41 of file SymmetricMatrixTypes.h.

## ◆ SymMatrix8x8F

typedef ROOT::Math::SMatrix<float, 8, 8, ROOT::Math::MatRepSym<float, 8> > Gaudi::SymMatrix8x8F

Symmetrix 8x8 matrix (float)

Definition at line 60 of file SymmetricMatrixTypes.h.

## ◆ SymMatrix9x9

typedef ROOT::Math::SMatrix<double, 9, 9, ROOT::Math::MatRepSym<double, 9> > Gaudi::SymMatrix9x9

Symmetrix 9x9 matrix (double)

Definition at line 43 of file SymmetricMatrixTypes.h.

## ◆ SymMatrix9x9F

typedef ROOT::Math::SMatrix<float, 9, 9, ROOT::Math::MatRepSym<float, 9> > Gaudi::SymMatrix9x9F

Symmetrix 9x9 matrix (float)

Definition at line 62 of file SymmetricMatrixTypes.h.

## ◆ Timer

using Gaudi::Timer = Timers::GenericTimer<std::chrono::high_resolution_clock, std::chrono::microseconds>

Default timer using a standard clock with microsecond precision.

See also
  Gaudi::Timers::GenericTimer

Definition at line 14 of file Timers.h.

## ◆ Transform3D

typedef ROOT::Math::Transform3D Gaudi::Transform3D

General 3D transformation (rotation+translation)

Definition at line 53 of file Transform3DTypes.h.

## ◆ TranslationXYZ

typedef ROOT::Math::XYZVector Gaudi::TranslationXYZ

3D translation

Definition at line 54 of file Transform3DTypes.h.

## ◆ Vector1

typedef ROOT::Math::SVector<double, 1> Gaudi::Vector1

1D Vector (double)

Definition at line 29 of file GenericVectorTypes.h.

## ◆ Vector1F

typedef ROOT::Math::SVector<float, 1> Gaudi::Vector1F

1D Vector (float)

Definition at line 39 of file GenericVectorTypes.h.

## ◆ Vector2

typedef ROOT::Math::SVector<double, 2> Gaudi::Vector2

2D Vector (double)

Definition at line 30 of file GenericVectorTypes.h.

## ◆ Vector2F

typedef ROOT::Math::SVector<float, 2> Gaudi::Vector2F

2D Vector (float)

Definition at line 40 of file GenericVectorTypes.h.

## ◆ Vector3

typedef ROOT::Math::SVector<double, 3> Gaudi::Vector3

3D Vector (double)

Definition at line 31 of file GenericVectorTypes.h.

## ◆ Vector3F

typedef ROOT::Math::SVector<float, 3> Gaudi::Vector3F

3D Vector (float)

Definition at line 41 of file GenericVectorTypes.h.

## ◆ Vector4

typedef ROOT::Math::SVector<double, 4> Gaudi::Vector4

4D Vector (double)

Definition at line 32 of file GenericVectorTypes.h.

## ◆ Vector4F

typedef ROOT::Math::SVector<float, 4> Gaudi::Vector4F

4D Vector (float)

Definition at line 42 of file GenericVectorTypes.h.

## ◆ Vector5

typedef ROOT::Math::SVector<double, 5> Gaudi::Vector5

5D Vector (double)

Definition at line 33 of file GenericVectorTypes.h.

## ◆ Vector5F

typedef ROOT::Math::SVector<float, 5> Gaudi::Vector5F

5D Vector (float)

Definition at line 43 of file GenericVectorTypes.h.

## ◆ Vector6

typedef ROOT::Math::SVector<double, 6> Gaudi::Vector6

6D Vector (double)

Definition at line 34 of file GenericVectorTypes.h.

## ◆ Vector6F

typedef ROOT::Math::SVector<float, 6> Gaudi::Vector6F

6D Vector (float)

Definition at line 44 of file GenericVectorTypes.h.

## ◆ Vector7

typedef ROOT::Math::SVector<double, 7> Gaudi::Vector7

7D Vector (double)

Definition at line 35 of file GenericVectorTypes.h.

## ◆ Vector7F

typedef ROOT::Math::SVector<float, 7> Gaudi::Vector7F

7D Vector (float)

Definition at line 45 of file GenericVectorTypes.h.

## ◆ Vector8

typedef ROOT::Math::SVector<double, 8> Gaudi::Vector8

8D Vector (double)

Definition at line 36 of file GenericVectorTypes.h.

## ◆ Vector8F

typedef ROOT::Math::SVector<float, 8> Gaudi::Vector8F

8D Vector (float)

Definition at line 46 of file GenericVectorTypes.h.

## ◆ Vector9

typedef ROOT::Math::SVector<double, 9> Gaudi::Vector9

9D Vector (double)

Definition at line 37 of file GenericVectorTypes.h.

## ◆ Vector9F

typedef ROOT::Math::SVector<float, 9> Gaudi::Vector9F

9D Vector (float)

Definition at line 47 of file GenericVectorTypes.h.

## ◆ XYZPoint

typedef ROOT::Math::XYZPoint Gaudi::XYZPoint

3D cartesian point (double)

Definition at line 29 of file Point3DTypes.h.

## ◆ XYZPointF

typedef ROOT::Math::XYZPointF Gaudi::XYZPointF

3D cartesian point (float)

Definition at line 34 of file Point3DTypes.h.

## ◆ XYZTPoint

typedef LorentzVector Gaudi::XYZTPoint

4D point (space-time)

Todo:
  use Point4D from MathCore

Definition at line 30 of file Point4DTypes.h.

## ◆ XYZTVector

typedef ROOT::Math::PxPyPzEVector Gaudi::XYZTVector

Cartesian 4 Vector.

Definition at line 29 of file Vector4DTypes.h.

## ◆ XYZTVectorF

typedef ROOT::Math::XYZTVectorF Gaudi::XYZTVectorF

Cartesian 4 Vector (float)

Definition at line 31 of file Vector4DTypes.h.

## ◆ XYZVector

typedef ROOT::Math::XYZVector Gaudi::XYZVector

Cartesian 3D vector (double)

Definition at line 29 of file Vector3DTypes.h.

## ◆ XYZVectorF

typedef ROOT::Math::XYZVectorF Gaudi::XYZVectorF

Cartesian 3D vector (float)

Definition at line 33 of file Vector3DTypes.h.

## Member Enumeration Documentation

## ◆ ExtractStatusEnum

enum Gaudi::ExtractStatusEnum

Enumerator
EXTRACT_ERROR |
EXTRACT_SUCCESS |

Definition at line 114 of file extractEvt.C.

114 { EXTRACT_ERROR = 0, EXTRACT_SUCCESS = 1 };
Gaudi::EXTRACT_SUCCESS
Definition: extractEvt.C:114
Gaudi::EXTRACT_ERROR
Definition: extractEvt.C:114

## ◆ MergeStatusEnum

enum Gaudi::MergeStatusEnum

Enumerator
MERGE_ERROR |
MERGE_SUCCESS |

Definition at line 21 of file merge.C.

21 { MERGE_ERROR = 0, MERGE_SUCCESS = 1 };
Gaudi::MERGE_SUCCESS
Definition: merge.C:21
Gaudi::MERGE_ERROR
Definition: merge.C:21

## Member Data Documentation

## ◆ __configurables_module_fullname__

string Gaudi.__configurables_module_fullname__ = __name__ + '.Configurables'
| private

Definition at line 5 of file __init__.py.

## ◆ __ignore_missing_configurables__

bool Gaudi.__ignore_missing_configurables__ = False
| private

Definition at line 6 of file __init__.py.

## ◆ _GaudiKernelLib

Gaudi._GaudiKernelLib = None
| private

Definition at line 55 of file __init__.py.

## ◆ Configurables

Gaudi.Configurables = _ConfigurablesModule()

Definition at line 52 of file __init__.py.

## ◆ fullMatch

constexpr struct Gaudi::fullMatch_t Gaudi::fullMatch

## ◆ majorMatch

constexpr struct Gaudi::majorMatch_t Gaudi::majorMatch

The documentation for this class was generated from the following files:

- GaudiKernel/GaudiKernel/Bootstrap.h
- GaudiCommonSvc/src/HistogramSvc/GaudiPI.h
- GaudiKernel/Gaudi/Timers.h
- GaudiKernel/GaudiKernel/Coord3DTypes.h
- GaudiKernel/GaudiKernel/GenericMatrixTypes.h
- GaudiKernel/GaudiKernel/GenericVectorTypes.h
- GaudiKernel/GaudiKernel/Plane3DTypes.h
- GaudiKernel/GaudiKernel/Point3DTypes.h
- GaudiKernel/GaudiKernel/Point4DTypes.h
- GaudiKernel/GaudiKernel/Property.h
- GaudiKernel/GaudiKernel/SymmetricMatrixTypes.h
- GaudiKernel/GaudiKernel/Transform3DTypes.h
- GaudiKernel/GaudiKernel/Transform4DTypes.h
- GaudiKernel/GaudiKernel/Vector3DTypes.h
- GaudiKernel/GaudiKernel/Vector4DTypes.h
- RootCnv/merge/extractEvt.C
- RootCnv/merge/merge.C
- Gaudi/python/Gaudi/__init__.py
- GaudiKernel/GaudiKernel/IInterface.h